using System;
using LQL;

class MainClass 
{
	public static void Main(string[] args)
	{
		Gtk.Application.Init();
		LQL.Con con = new LQL.Con();

		GLib.List ifList = con.ListInterfaces();
		foreach (LQL.Interface netInf in ifList) {
			GLib.List qdiscList = con.ListQdiscs(netInf);
			foreach (LQL.QDisc qdisc in qdiscList) {
				qdisc.UpdateStats(con);
				qdisc.PrintStats();
			}

			GLib.List classList = con.ListClasses(netInf);
			foreach (LQL.Class klass in classList) {
				klass.UpdateStats(con);
				klass.PrintStats();
			}
		}
	}
}
